.hero-2 .carousel-item h2{
    font-weight: 800;
}

table {
    border: 1px solid #eee !important;
}

.table-responsive table td {
    border: 1px solid #eee !important;
}
.table-responsive table th {
    border: 1px solid #eee !important;
}
.table>thead>tr>th {
    border: none !important;
}

.grid-background {
    background-color: #ffffff;
    background-size: 10px 10px;
    background-image: repeating-linear-gradient(45deg, #f3f3f3 0, #f3f3f3 1px, #ffffff 0, #ffffff 50%);
}

.rhombus-background {
    background-color: #aa001d;
    opacity: 1;
    background-image:  linear-gradient(135deg, #bc051a 25%, transparent 25%), linear-gradient(225deg, #bc051a 25%, transparent 25%), linear-gradient(45deg, #bc051a 25%, transparent 25%), linear-gradient(315deg, #bc051a 25%, #aa001d 25%);
    background-position:  5px 0, 5px 0, 0 0, 0 0;
    background-size: 5px 5px;
    background-repeat: repeat;
}

.primary-background {
    background: var(--primary-color) !important;
}

.rhombus-background h2 {
    color: white;
}

.rhombus-background .section-title h2:after {
    background: white;
}

.rhombus-background .service-item::before {
    background-color: var(--secondary-color);
}

.secondary-background {
    background: var(--secondary-color) !important;
}

.service-item {
    width: 100%;
}

.service-item h3{
    font-family: 'Poppins', sans-serif;
    font-weight: bold;
}
.service-item span {
    color: var(--primary-color);
}

.footer-links h4 {
    color: var(--primary-color);
    font-size: 20px;
    padding: 0;
}

.footer-links h4::after {
    content: ""; 
    display: block;
    margin: 30px 0;
    width: 50px;
    border-top: 2px solid var(--primary-color);
}

.hero-btns2 {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
}

.hero-btns2 a:hover {
    background: var(--secondary-color) !important;
    color: white !important;
}

.hero-btns2 a{
    background: var(--primary-color) !important;
    padding: 12px 30px;
    font-weight: 600;
    border-radius: 5px;
    transition: all 0.3s ease;
    text-align: center;
    border: none;
    margin-top: 50px;
}

.breadcrumbs {
    position: relative;
    padding: 20px 0;
    height: 400px;
    background-size: cover;
    background-position: center;
}

.breadcrumbs::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.671);
}

.video-thumbnail-wrapper {
    position: relative;
    display: block;
    overflow: hidden;
}

.video-icon-overlay {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 60px;
    color: white;
    opacity: 0;
    transition: opacity 0.3s ease all;
    pointer-events: none;
}

.video-thumbnail-wrapper:hover .video-icon-overlay {
    opacity: 1;
    z-index: 1;
}

.video-thumbnail-wrapper:hover img {
    filter: brightness(70%);
    transition: filter 0.3s ease;
}

.wze-ggl {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 30px;
}

.wze-ggl img:hover {
    transform: scale(1.05);
}

.wze-ggl img{
    width: 100%;
    border-radius: 10px;
    transition: transform 0.3s ease;
    text-align: center;
    display: block;
    margin: 0 auto;
}

.fab-icon {
    position: absolute;
    top: 18%;
    right: 24%;
}

.floating {
    position: fixed;
    width: 40px;
    height: 40px;
    color: white;
    border-radius: 50px;
    /* box-shadow: 2px 2px 3px rgba(0, 0, 0, .5); */
    filter: drop-shadow(2px 2px 3px rgba(0, 0, 0, .5));
    z-index: 100;
    transition: ease .3s;
    text-decoration: none;
}

.floating:hover {
    text-decoration: none;
    color: white;
    transform: scale(1.1);
}

.i-fb {
    background-color: #1877F2;
    bottom: 400px;
    right: 16px;
    font-size: 25px;
}

.i-tt {
    background-color: #181818;
    bottom: 300px;
    right: 16px;
    font-size: 25px;
}

.i-wa {
    background-color: #0cc143;
    bottom: 250px;
    right: 16px;
    font-size: 25px;
}

.i-ig {
    background: linear-gradient(90deg, rgba(131, 58, 180, 1) 0%, rgba(253, 29, 29, 1) 50%, rgba(252, 176, 69, 1) 100%);
    bottom: 350px;
    right: 16px;
    font-size: 25px;
}

.i-wz {
    bottom: 150px;
    right: 16px;
    font-size: 25px;
    width: 40px;
}

.i-gm {
    bottom: 200px;
    right: 16px;
    font-size: 25px;
    width: 40px;
}

.floating img {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    object-fit: cover;
}

.about ul{
    padding: 0;
}

.about li {
    margin-bottom: 10px;
    padding-left: 25px;
    position: relative;
    list-style: none;
}

.about li::before {
    content: "🧵";
    position: absolute;
    left: 0;
    color: var(--primary-color);
}

.soc-footer i{
    font-size: 30px;
    padding-right: 20px;
    transition: ease-in-out .3s;
}

.soc-footer i:hover{
    color: var(--secondary-color);
}

.about .carousel-item img {
    width: 100%;
    height: auto;
    object-fit: cover;
    border-radius: 15px;
}

.portfolio-item {
    display: flex;
    flex-direction: column;
}

.portfolio-content {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
}

.portfolio-info {
    margin-top: auto; /* Pushes .portfolio-info to the bottom */
    padding-top: 10px;
    text-align: center;
}

.portfolio-content img {
    object-fit: contain;
    object-position: center;
    width: 100%;
    height: 230px;
}

.portfolio-content a img {
    display: block;
    margin-left: auto;
    margin-right: auto;
}

.portfolio-info a.btn {
    white-space: nowrap;
    padding: 6px 12px;
    font-size: 1rem;
    background: none;
    color: var(--primary-color);
    border: none;
    transition:  0.3s ease all;
}

.portfolio-info a.btn:hover {
    color: #7a0000;
}

.portfolio-content .dropdown-toggle::after {
    display: none;
}

.portfolio-content .dropdown-menu {
    min-width: 160px;
    border: none;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    border-radius: 5px;
    padding: 0;
    margin-top: 10px;
    
}

.portfolio-content .dropdown-item {
    padding: 10px 20px;
    font-size: 0.9rem;
    text-decoration: none;
    transition: background-color 0.3s ease, color 0.3s ease;
    display: block;
    width: 100%;
}

.portfolio-content .dropdown-item:hover {
    color: white;
    background: var(--primary-color);
    text-decoration: none;
}

.portfolio .portfolio-content .portfolio-info h4 {
    font-size: 18px;
    font-weight: 600;
    padding-right: 0;
}

.portfolio .portfolio-content .portfolio-info p {
    color: 
 color-mix(in srgb, var(--default-color), transparent 30%);
    font-size: 14px;
    margin-bottom: 0;
    padding-right: 0px;
}

/* UwU Default */

.nav-link {
    color: #21212190;
    transition: color 0.3s ease;
}

.nav-link:hover {
    color: #a22721;
}

.m-0 {
    margin: 0 !important;
}
.mb-0 {
    margin-bottom: 0 !important;
}
.ml-0 {
    margin-left: 0 !important;
}
.mr-0 {
    margin-right: 0 !important;
}

/* UwU */

.btn-primary {
    background-color: #a22721 !important; 
    border: #a22721 !important; ;
}

.btn-primary:hover{
    background-color: #c83028 !important; 
    border: #c83028 !important; ;
}

.uwu-table-red {
    background-color: #a22721 !important; 
    color: #fff !important;
}

.uwu-tr-dark-1 {
    background: #ffffff !important;
    border: none !important;
}

.uwu-tr-dark-2 {
    background: #f9f9f9 !important;
    border: none !important;
}

.uwu-text-black {
    color: #212121 !important;
}

.uwu-fade{
    color: #21212190 !important;
}

.uwu-button {
    width: 100%; font-size: 1.5rem; font-weight: 700; text-transform: capitalize;
}

.uwu-table {
    overflow-x: auto;
}

.uwu-table-th {
    vertical-align: middle !important;
}

.box-padding {
    padding-bottom: calc(var(--bs-gutter-x) * .50);
    padding-left: calc(var(--bs-gutter-x) * .25);
    padding-right: calc(var(--bs-gutter-x) * .25);
}

.op-9 {
    opacity: 90%;
}
.op-8 {
    opacity: 80%;
}
.op-7 {
    opacity: 70%;
}
.op-6 {
    opacity: 60%;
}
.op-5 {
    opacity: 50%;
}

.text-center {
    text-align: center !important;
}
.text-left {
    text-align: left !important;
}
.text-right {
    text-align: right !important;
}
.text-justify {
    text-align: justify !important;
}



.uwu-fw-1 {
    font-weight: 100 !important;
}

.uwu-fw-2 {
    font-weight: 200 !important;
}

.uwu-fw-3 {
    font-weight: 300 !important;
}

.uwu-fw-4 {
    font-weight: 400 !important;
}

.uwu-fw-5 {
    font-weight: 500 !important;
}

.uwu-fw-6 {
    font-weight: 600 !important;
}

.uwu-fw-7 {
    font-weight: 700 !important;
}

.uwu-fw-8 {
    font-weight: 800 !important;
}

.uwu-fw-9 {
    font-weight: 900 !important;
}

 @media screen and (min-width: 0px) and (max-width: 319px) {
    .col-lg-4 > .portfolio-content > .portfolio-info p {
    min-height: unset;
}
 }   
 @media screen and (min-width: 320px) and (max-width: 480px) {
    .col-lg-4 > .portfolio-content > .portfolio-info p {
    min-height: unset;
}
 }  
 @media screen and (min-width: 481px) and (max-width: 768px) {
    .col-lg-4 > .portfolio-content > .portfolio-info p {
    min-height: 2.75rem;
}
 }  
 @media screen and (min-width: 769px) and (max-width: 1024px) {
    .col-lg-4 > .portfolio-content > .portfolio-info p {
    min-height: 2.75rem;
}
 }  
 @media screen and (min-width: 1025px) and (max-width: 1200px) {
    .col-lg-4 > .portfolio-content > .portfolio-info p {
    min-height: 2.75rem;
}
 }
 @media screen and (min-width: 1201px) and (max-width: 2400px) {
    .col-lg-4 > .portfolio-content > .portfolio-info p {
    min-height: 2.75rem;
}
 }